### Method

# FwupdPlugin Device get_child_by_logical_id

since: 2.0.17

#### Declaration [src]

    FuDevice*
    fu_device_get_child_by_logical_id (
      FuDevice* self,
      const gchar* logical_id,
      GError** error
    )

#### Description [src]

Gets a child device by the logical ID.

Available since: 2.0.17

#### Parameters

`logical_id`

  Type: `const gchar*`

  An ID, e.g. `CONFIG`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuDevice`

A device, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.